program div64tst;

%include clunk.typ;

var
  value1,value2,result,remainder	: clunk_type;
  ids : integer;

%include div64.ext;

begin
  write('Enter dividend[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter divisor[1..4]:');
  readln(value2[1],value2[2],value2[3],value2[4]);
  
  div64(value1,value2,remainder,result,ids);

  writeln('ids:',ids);
  writeln('dividend :',value1[1],value1[2],value1[3],value1[4]);
  writeln('divisor  :',value2[1],value2[2],value2[3],value2[4]);
  writeln('Result   :',result[1],result[2],result[3],result[4]);
  writeln('Remainder:',remainder[1],remainder[2],remainder[3],remainder[4]);

end.
